xcb_composite_get_overlay_window(3)

NAME
xcb_composite_get_overlay_window -

SYNOPSIS
#include <xcb/composite.h>

  Request function

xcb_composite_get_overlay_window_cookie_t xcb_composite_get_overlay_window(xcb_connection_t *conn, xcb_window_t window);

  Reply datastructure

typedef struct xcb_composite_get_overlay_window_reply_t {
    uint8_t      response_type;
    uint8_t      pad0;
    uint16_t     sequence;
    uint32_t     length;
    xcb_window_t overlay_win;
    uint8_t      pad1[20];
} xcb_composite_get_overlay_window_reply_t;

  Reply function

xcb_composite_get_overlay_window_reply_t *xcb_composite_get_overlay_window_reply(xcb_connection_t *conn, xcb_composite_get_overlay_window_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_COMPOSITE_GET_OVERLAY_WINDOW. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

overlay_win
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_composite_get_overlay_window_cookie_t. Errors have to be handled when calling the reply function xcb_composite_get_overlay_window_reply. If you want to handle errors in the event loop instead, use xcb_composite_get_overlay_window_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from composite.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.